Yad2: Search
Search from Yad2 as JSON. 1 credit per successful call.
GET /v1/yad2/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
deal | string | Required | forsale, rent |
region | integer | Required | Any |
page | integer | Optional | Any |
minPrice | integer | Optional | Any |
maxPrice | integer | Optional | Any |
minRooms | number | Optional | Any |
maxRooms | number | Optional | Any |
minSquaremeter | number | Optional | Any |
maxSquaremeter | number | Optional | Any |
minSquareMeterBuild | number | Optional | Any |
maxSquareMeterBuild | number | Optional | Any |
minFloor | number | Optional | Any |
maxFloor | number | Optional | Any |
property | integer | Optional | Any |
propertyCondition | integer | Optional | Any |
sort | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/yad2/search?deal=forsale®ion=2&page=1" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.